package eu.telecomnancy;

import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.BeforeEach;

import static org.junit.jupiter.api.Assertions.assertTrue;
import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertThrows;

import java.util.NoSuchElementException;


public class StudentTest{

    Student stud1, stud2;


    @BeforeEach
	public void setUp() throws Exception {
		stud1 = new Student();
        stud2 = new Student();

		stud1.setName("a");
        stud2.setName("b");
        stud1.setId(2);
        stud2.setId(3);
		
	}

	@Test
	public void testName() {
		assertEquals("a",stud1.getName());
        stud2.setName("c");
        assertEquals("c",stud2.getName());

	}

    @Test
	public void testId() {
		assertEquals(2,stud1.getId());
        stud2.setId(4);
        assertEquals(4,stud2.getId());

	}


	@Test
	public void testToString(){
		
		assertEquals("name : a; id : 2;",stud1.toString());
        assertEquals("name : b; id : 3;",stud2.toString());
		
	}


    @Test
    public void testEquals(){
        assertEquals(0,stud1.equals(stud2));
        stud2.setName("a");
        stud2.setId(2);
        assertEquals(1,stud1.equals(stud2));
    }
}



